import "./profileLayout.css"

import { serverClient } from "@/lib/trpc/server"

import TrackingSDK from "@/components/TrackingSDK"
import { setLang } from "@/i18n/serverContext"

import { LangParams, PageArgs } from "@/types/params"

export { generateMetadataAccountPage as generateMetadata } from "@/utils/generateMetadata"

export default async function ProfilePage({ params }: PageArgs<LangParams>) {
  setLang(params.lang)
  const accountPage = await serverClient().contentstack.accountPage.get()

  if (!accountPage) {
    return null
  }

  return <TrackingSDK pageData={accountPage.tracking} />
}
